#!/usr/bin/make -f

%:
	dh $@ --with maven_repo_helper --buildsystem=gradle

override_dh_auto_build:
	dh_auto_build -- build
	/usr/bin/docbook-to-man debian/simplyhtml.sgml > simplyhtml.1
	cp debian/simplyhtml.sh simplyhtml

# we need a wildcarded install with renaming for SimplyHTMLHelp.jar,
# that's why we override this!
override_dh_auto_install:
	dh_auto_install
	cp build/libs/SimplyHTMLHelp-*.jar debian/simplyhtml/usr/share/java/SimplyHTMLHelp.jar

get-orig-source:
	uscan --repack --rename
